<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node10.html" />
<link rel="prev" href="building.html" />
<link rel="parent" href="front.html" />
<link rel="next" href="node10.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>4 Check your installation</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="3.2 make and install"
  href="node8.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="5 set up your"
  href="node10.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node8.html">3.2 Make and install</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node10.html">5 Set up your</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h1><a name="SECTION001400000000000000000">
4 Check your installation</a>
</h1>

<p>
After you've run <b class="program">make install</b>, you should check that your
installation has all the correct permissions and group ownerships by running
the <b class="program">check_perms</b> script.  First change to the installation
(i.e. <var>$prefix</var>) directory, then run the <b class="program">bin/check_perms</b>
program.  Don't try to run bin/check_perms from the source directory; it will
only run from the installation directory.

<p>
If this reports no problems, then it's very likely &lt;wink&gt; that your
installation is set up correctly.  If it reports problems, then you can either
fix them manually, re-run the installation, or use <b class="program">bin/check_perms</b>
to fix the problems (probably the easiest solution):

<p>

<ul>
<li>You need to become the user that did the installation, and that owns all
      the files in <var>$prefix</var>, or root.

<p>
</li>
<li>Run <b class="program">bin/check_perms -f</b>

<p>
</li>
<li>Repeat previous step until no more errors are reported!
</li>
</ul>

<p>
<div class="warning"><b class="label">Warning:</b>

If you're running Mailman on a shared multiuser system, and you have mailing
lists with private archives, you may want to hide the private archive
directory from other users on your system.  In that case, you should drop the
other execute permission (o-x) from the <span class="file">archives/private</span> directory.
However, the web server process must be able to follow the symbolic link in
public directory, otherwise your public Pipermail archives will not work.  To
set this up, become root and run the following commands:

<p>
<div class="verbatim"><pre>
# cd &lt;prefix&gt;/archives
# chown &lt;web-server-user&gt; private
# chmod o-x private
</pre></div>

<p>
You need to know what user your web server runs as.  It may be <code>www</code>,
<code>apache</code>, <code>httpd</code> or <code>nobody</code>, depending on your server's
configuration.
</div>

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="3.2 make and install"
  href="node8.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="Front Matter"
  href="front.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="5 set up your"
  href="node10.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node8.html">3.2 Make and install</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="front.html">Front Matter</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node10.html">5 Set up your</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
